Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network27.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
27.0.0.0
Broadcast address
27.255.255.255
First usable
27.0.0.1
Last usable
27.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 1B000000 · Integer 452984832 to 469762047
Reverse DNS zone
27.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011011..00000000.00000000.0000000027.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00011011..00000000.00000000.0000000027.0.0.0
Broadcast00011011..11111111.11111111.1111111127.255.255.255
Split into smaller subnets/15

27.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
127.0.0.0/1527.0.0.1 to 27.1.255.25427.1.255.255131,070
227.2.0.0/1527.2.0.1 to 27.3.255.25427.3.255.255131,070
327.4.0.0/1527.4.0.1 to 27.5.255.25427.5.255.255131,070
427.6.0.0/1527.6.0.1 to 27.7.255.25427.7.255.255131,070
527.8.0.0/1527.8.0.1 to 27.9.255.25427.9.255.255131,070
627.10.0.0/1527.10.0.1 to 27.11.255.25427.11.255.255131,070
727.12.0.0/1527.12.0.1 to 27.13.255.25427.13.255.255131,070
827.14.0.0/1527.14.0.1 to 27.15.255.25427.15.255.255131,070
927.16.0.0/1527.16.0.1 to 27.17.255.25427.17.255.255131,070
1027.18.0.0/1527.18.0.1 to 27.19.255.25427.19.255.255131,070
1127.20.0.0/1527.20.0.1 to 27.21.255.25427.21.255.255131,070
1227.22.0.0/1527.22.0.1 to 27.23.255.25427.23.255.255131,070
1327.24.0.0/1527.24.0.1 to 27.25.255.25427.25.255.255131,070
1427.26.0.0/1527.26.0.1 to 27.27.255.25427.27.255.255131,070
1527.28.0.0/1527.28.0.1 to 27.29.255.25427.29.255.255131,070
1627.30.0.0/1527.30.0.1 to 27.31.255.25427.31.255.255131,070
1727.32.0.0/1527.32.0.1 to 27.33.255.25427.33.255.255131,070
1827.34.0.0/1527.34.0.1 to 27.35.255.25427.35.255.255131,070
1927.36.0.0/1527.36.0.1 to 27.37.255.25427.37.255.255131,070
2027.38.0.0/1527.38.0.1 to 27.39.255.25427.39.255.255131,070
2127.40.0.0/1527.40.0.1 to 27.41.255.25427.41.255.255131,070
2227.42.0.0/1527.42.0.1 to 27.43.255.25427.43.255.255131,070
2327.44.0.0/1527.44.0.1 to 27.45.255.25427.45.255.255131,070
2427.46.0.0/1527.46.0.1 to 27.47.255.25427.47.255.255131,070
2527.48.0.0/1527.48.0.1 to 27.49.255.25427.49.255.255131,070
2627.50.0.0/1527.50.0.1 to 27.51.255.25427.51.255.255131,070
2727.52.0.0/1527.52.0.1 to 27.53.255.25427.53.255.255131,070
2827.54.0.0/1527.54.0.1 to 27.55.255.25427.55.255.255131,070
2927.56.0.0/1527.56.0.1 to 27.57.255.25427.57.255.255131,070
3027.58.0.0/1527.58.0.1 to 27.59.255.25427.59.255.255131,070
3127.60.0.0/1527.60.0.1 to 27.61.255.25427.61.255.255131,070
3227.62.0.0/1527.62.0.1 to 27.63.255.25427.63.255.255131,070
3327.64.0.0/1527.64.0.1 to 27.65.255.25427.65.255.255131,070
3427.66.0.0/1527.66.0.1 to 27.67.255.25427.67.255.255131,070
3527.68.0.0/1527.68.0.1 to 27.69.255.25427.69.255.255131,070
3627.70.0.0/1527.70.0.1 to 27.71.255.25427.71.255.255131,070
3727.72.0.0/1527.72.0.1 to 27.73.255.25427.73.255.255131,070
3827.74.0.0/1527.74.0.1 to 27.75.255.25427.75.255.255131,070
3927.76.0.0/1527.76.0.1 to 27.77.255.25427.77.255.255131,070
4027.78.0.0/1527.78.0.1 to 27.79.255.25427.79.255.255131,070
4127.80.0.0/1527.80.0.1 to 27.81.255.25427.81.255.255131,070
4227.82.0.0/1527.82.0.1 to 27.83.255.25427.83.255.255131,070
4327.84.0.0/1527.84.0.1 to 27.85.255.25427.85.255.255131,070
4427.86.0.0/1527.86.0.1 to 27.87.255.25427.87.255.255131,070
4527.88.0.0/1527.88.0.1 to 27.89.255.25427.89.255.255131,070
4627.90.0.0/1527.90.0.1 to 27.91.255.25427.91.255.255131,070
4727.92.0.0/1527.92.0.1 to 27.93.255.25427.93.255.255131,070
4827.94.0.0/1527.94.0.1 to 27.95.255.25427.95.255.255131,070
4927.96.0.0/1527.96.0.1 to 27.97.255.25427.97.255.255131,070
5027.98.0.0/1527.98.0.1 to 27.99.255.25427.99.255.255131,070
5127.100.0.0/1527.100.0.1 to 27.101.255.25427.101.255.255131,070
5227.102.0.0/1527.102.0.1 to 27.103.255.25427.103.255.255131,070
5327.104.0.0/1527.104.0.1 to 27.105.255.25427.105.255.255131,070
5427.106.0.0/1527.106.0.1 to 27.107.255.25427.107.255.255131,070
5527.108.0.0/1527.108.0.1 to 27.109.255.25427.109.255.255131,070
5627.110.0.0/1527.110.0.1 to 27.111.255.25427.111.255.255131,070
5727.112.0.0/1527.112.0.1 to 27.113.255.25427.113.255.255131,070
5827.114.0.0/1527.114.0.1 to 27.115.255.25427.115.255.255131,070
5927.116.0.0/1527.116.0.1 to 27.117.255.25427.117.255.255131,070
6027.118.0.0/1527.118.0.1 to 27.119.255.25427.119.255.255131,070
6127.120.0.0/1527.120.0.1 to 27.121.255.25427.121.255.255131,070
6227.122.0.0/1527.122.0.1 to 27.123.255.25427.123.255.255131,070
6327.124.0.0/1527.124.0.1 to 27.125.255.25427.125.255.255131,070
6427.126.0.0/1527.126.0.1 to 27.127.255.25427.127.255.255131,070
6527.128.0.0/1527.128.0.1 to 27.129.255.25427.129.255.255131,070
6627.130.0.0/1527.130.0.1 to 27.131.255.25427.131.255.255131,070
6727.132.0.0/1527.132.0.1 to 27.133.255.25427.133.255.255131,070
6827.134.0.0/1527.134.0.1 to 27.135.255.25427.135.255.255131,070
6927.136.0.0/1527.136.0.1 to 27.137.255.25427.137.255.255131,070
7027.138.0.0/1527.138.0.1 to 27.139.255.25427.139.255.255131,070
7127.140.0.0/1527.140.0.1 to 27.141.255.25427.141.255.255131,070
7227.142.0.0/1527.142.0.1 to 27.143.255.25427.143.255.255131,070
7327.144.0.0/1527.144.0.1 to 27.145.255.25427.145.255.255131,070
7427.146.0.0/1527.146.0.1 to 27.147.255.25427.147.255.255131,070
7527.148.0.0/1527.148.0.1 to 27.149.255.25427.149.255.255131,070
7627.150.0.0/1527.150.0.1 to 27.151.255.25427.151.255.255131,070
7727.152.0.0/1527.152.0.1 to 27.153.255.25427.153.255.255131,070
7827.154.0.0/1527.154.0.1 to 27.155.255.25427.155.255.255131,070
7927.156.0.0/1527.156.0.1 to 27.157.255.25427.157.255.255131,070
8027.158.0.0/1527.158.0.1 to 27.159.255.25427.159.255.255131,070
8127.160.0.0/1527.160.0.1 to 27.161.255.25427.161.255.255131,070
8227.162.0.0/1527.162.0.1 to 27.163.255.25427.163.255.255131,070
8327.164.0.0/1527.164.0.1 to 27.165.255.25427.165.255.255131,070
8427.166.0.0/1527.166.0.1 to 27.167.255.25427.167.255.255131,070
8527.168.0.0/1527.168.0.1 to 27.169.255.25427.169.255.255131,070
8627.170.0.0/1527.170.0.1 to 27.171.255.25427.171.255.255131,070
8727.172.0.0/1527.172.0.1 to 27.173.255.25427.173.255.255131,070
8827.174.0.0/1527.174.0.1 to 27.175.255.25427.175.255.255131,070
8927.176.0.0/1527.176.0.1 to 27.177.255.25427.177.255.255131,070
9027.178.0.0/1527.178.0.1 to 27.179.255.25427.179.255.255131,070
9127.180.0.0/1527.180.0.1 to 27.181.255.25427.181.255.255131,070
9227.182.0.0/1527.182.0.1 to 27.183.255.25427.183.255.255131,070
9327.184.0.0/1527.184.0.1 to 27.185.255.25427.185.255.255131,070
9427.186.0.0/1527.186.0.1 to 27.187.255.25427.187.255.255131,070
9527.188.0.0/1527.188.0.1 to 27.189.255.25427.189.255.255131,070
9627.190.0.0/1527.190.0.1 to 27.191.255.25427.191.255.255131,070
9727.192.0.0/1527.192.0.1 to 27.193.255.25427.193.255.255131,070
9827.194.0.0/1527.194.0.1 to 27.195.255.25427.195.255.255131,070
9927.196.0.0/1527.196.0.1 to 27.197.255.25427.197.255.255131,070
10027.198.0.0/1527.198.0.1 to 27.199.255.25427.199.255.255131,070
10127.200.0.0/1527.200.0.1 to 27.201.255.25427.201.255.255131,070
10227.202.0.0/1527.202.0.1 to 27.203.255.25427.203.255.255131,070
10327.204.0.0/1527.204.0.1 to 27.205.255.25427.205.255.255131,070
10427.206.0.0/1527.206.0.1 to 27.207.255.25427.207.255.255131,070
10527.208.0.0/1527.208.0.1 to 27.209.255.25427.209.255.255131,070
10627.210.0.0/1527.210.0.1 to 27.211.255.25427.211.255.255131,070
10727.212.0.0/1527.212.0.1 to 27.213.255.25427.213.255.255131,070
10827.214.0.0/1527.214.0.1 to 27.215.255.25427.215.255.255131,070
10927.216.0.0/1527.216.0.1 to 27.217.255.25427.217.255.255131,070
11027.218.0.0/1527.218.0.1 to 27.219.255.25427.219.255.255131,070
11127.220.0.0/1527.220.0.1 to 27.221.255.25427.221.255.255131,070
11227.222.0.0/1527.222.0.1 to 27.223.255.25427.223.255.255131,070
11327.224.0.0/1527.224.0.1 to 27.225.255.25427.225.255.255131,070
11427.226.0.0/1527.226.0.1 to 27.227.255.25427.227.255.255131,070
11527.228.0.0/1527.228.0.1 to 27.229.255.25427.229.255.255131,070
11627.230.0.0/1527.230.0.1 to 27.231.255.25427.231.255.255131,070
11727.232.0.0/1527.232.0.1 to 27.233.255.25427.233.255.255131,070
11827.234.0.0/1527.234.0.1 to 27.235.255.25427.235.255.255131,070
11927.236.0.0/1527.236.0.1 to 27.237.255.25427.237.255.255131,070
12027.238.0.0/1527.238.0.1 to 27.239.255.25427.239.255.255131,070
12127.240.0.0/1527.240.0.1 to 27.241.255.25427.241.255.255131,070
12227.242.0.0/1527.242.0.1 to 27.243.255.25427.243.255.255131,070
12327.244.0.0/1527.244.0.1 to 27.245.255.25427.245.255.255131,070
12427.246.0.0/1527.246.0.1 to 27.247.255.25427.247.255.255131,070
12527.248.0.0/1527.248.0.1 to 27.249.255.25427.249.255.255131,070
12627.250.0.0/1527.250.0.1 to 27.251.255.25427.251.255.255131,070
12727.252.0.0/1527.252.0.1 to 27.253.255.25427.253.255.255131,070
12827.254.0.0/1527.254.0.1 to 27.255.255.25427.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses